#!/usr/bin/perl

#┌─────────────────────────────────
#│ Midnight Fox Chat : check.cgi - 2011/09/17
#│ Copyright (c) KentWeb
#│ http://www.kent-web.com/
#└─────────────────────────────────

# モジュール宣言
use strict;
use CGI::Carp qw(fatalsToBrowser);

# 設定ファイル認識
require "./init.cgi";
my %cf = set_init();

print <<EOM;
Content-type: text/html

<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>Check Mode</title>
</head>
<body>
<b>Check Mode: [ $cf{version} ]</b>
<ul>
EOM

# ファイル
my %log = (
	logfile => 'データファイル',
	memfile => '在室ファイル',
	);
foreach ( keys(%log) ) {
	if (-e $cf{$_}) {
		print "<li>$log{$_}パス : OK\n";
	} else {
		print "<li>$log{$_}パス : NG\n";
	}
	if (-r $cf{$_} && -w $cf{$_}) {
		print "<li>$log{$_}パーミッション : OK\n";
	} else {
		print "<li>$log{$_}パーミッション : NG\n";
	}
}

# テンプレート
my @tmpl = qw|data enter error form form2 frame out|;
foreach (@tmpl) {
	if (-f "$cf{tmpldir}/$_.html") {
		print "<li>テンプレート( $_.html ) : OK\n";
	} else {
		print "<li>テンプレート( $_.html ) : NG\n";
	}
}

print <<EOM;
</ul>
</body>
</html>
EOM
exit;


